"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Network = exports.SystemInformation = void 0;

var _systeminformation = require("systeminformation");

var _os = require("os");

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

var SystemInformation = {
  memory: function memory() {
    return (0, _systeminformation.mem)();
  },
  fs: function fs() {
    return (0, _systeminformation.fsSize)();
  },
  system: function system() {
    return (0, _systeminformation.osInfo)();
  },
  cpu: function cpu() {
    return (0, _systeminformation.cpu)();
  },
  time: function time() {
    return (0, _systeminformation.time)();
  },
  network: function network() {
    return (0, _systeminformation.networkInterfaces)();
  },
  loadAverage: function loadAverage() {
    return (0, _os.loadavg)();
  }
};
exports.SystemInformation = SystemInformation;
var Network = {
  networkStats: function () {
    var _networkStats2 = _asyncToGenerator(
    /*#__PURE__*/
    regeneratorRuntime.mark(function _callee(_ref) {
      var iface, result;
      return regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              iface = _ref.iface;
              _context.next = 3;
              return (0, _systeminformation.networkStats)(iface);

            case 3:
              result = _context.sent;
              return _context.abrupt("return", result && result.length && result[0] || null);

            case 5:
            case "end":
              return _context.stop();
          }
        }
      }, _callee);
    }));

    function networkStats(_x) {
      return _networkStats2.apply(this, arguments);
    }

    return networkStats;
  }()
};
exports.Network = Network;